function draw_grid (x, y, gw, gh, gsize, border=3) {
  ctx.save();
  ctx.translate(x, y);
  ctx.fillStyle = '#303030';
  ctx.fillRect(0, 0, gw*gsize, gh*gsize);

  ctx.beginPath();
  ctx.lineWidth = border;
  ctx.strokeStyle = '#D0D0D0';
  ctx.rect(0, 0, gw*gsize, gh*gsize);
  ctx.stroke();

  ctx.strokeStyle = '#909090';
  ctx.lineWidth = 1;
  for (var i = 0; i < gw; i++) {
    ctx.moveTo(i * gsize, 0);
    ctx.lineTo(i * gsize, gh*gsize);
  }
  for (var j = 0; j < gh; j++) {
    ctx.moveTo(0, j * gsize);
    ctx.lineTo(gw*gsize, j * gsize);
  }

  ctx.stroke();
  ctx.restore();
}

function draw_battle () {
  ctx.save();
  ctx.fillStyle = '#500000';
  ctx.fillRect(0, 0, st.width, st.height);
  draw_grid (st.grid_loc[0], st.grid_loc[1], 8, 8, st.gsize);
  for (const a of st.battle.player_aunits) {
    a.draw();
  }
  ctx.restore();
}
