class Unit {
  constructor (name, level, clss, attr, spell, stats) {
    this.name = name;
    this.level = level;
    this.clss = clss;
    this.attr = attr;
    this.spell = spell;
    this.stats = stats;
  }
}

// active unit, adding battle context to the unit
class AUnit {
  constructor (unit, gx, gy) {
    this.unit = unit;
    this.hp = unit.stats.hp;
    this.x = gx * st.gsize + st.gsize/2;
    this.y = gy * st.gsize + st.gsize/2;
    this.radius = 0.3; // radius as a factor of gsize
  }

  draw () {
    ctx.save();
    ctx.translate(st.grid_loc[0] + this.x, st.grid_loc[1] + this.y);
    ctx.fillStyle = "#000000";
    ctx.beginPath();
    ctx.arc(0, 0, this.radius*st.gsize, 0, 2*Math.PI, false);
    ctx.fill();
    if ('image' in this.unit) {
      console.log('image drawing not implemented yet');
    } else {
      ctx.fillStyle = "#A0A0A0";
      ctx.font = '20px Courier New';
      ctx.fillText(this.unit.clss[0] + this.unit.level, -10, 5);
      console.log('asdf')
      ctx.stroke();
    }
    ctx.restore();
  }
}
